
QGIS Application - Bug report #8985

"/" in column name makes symbology fail

2013-11-02 06:57 PM - Rhenriques Henriques

Status: Closed

Priority: Normal

Assignee:

Category: Symbology

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 17645

Description

In QGIS 2.1 DEV 47b055f, and the two previous Night Builds, if we use Properties->Stile->Categorized and classify using a field with 0 an

1 values, all points got the color of the default value.

Same data shows correctly under version 2.0 or 1.8.

Test data attached. 

Cheers

History

#1 - 2013-11-03 01:19 AM - Giovanni Manghi

- OS version deleted (10.9)

- Category changed from Expressions to Symbology

- Subject changed from Properties Style Error to "/" in column name makes symbology fail

- Affected QGIS version changed from 2.0.1 to master

- Operating System deleted (OSX Mavericks)

It is the "/" in the column name the origin of the issue.

#2 - 2015-11-29 05:48 AM - Sebastian Dietrich

I can not reproduce using the attached test data. Neither of the following versions shows the error (on Windows):

    -  2.6.0

    -  2.12.0

    -  master (commit:5473c3394f688c4d5e9ac3bff82cd1f33a3afea5)

#3 - 2015-11-29 12:09 PM - Nyall Dawson

- Status changed from Open to Closed

Fixed in current versions. Please re-open and post steps to reproduce if you encounter this in 2.12.1

Files

Testdata.zip 7.5 KB 2013-11-02 Rhenriques Henriques
